| CRM64Pro GDK v0.16.0 A free cross-platform game development kit built on top of SDL 3.0

Loading...
Searching...
No Matches
CRM64Pro::Main
Core modules » Main

CRM64Pro GDK Main class. More...

## Detailed Description

CRM64Pro GDK Main class.

## Public Member Functions
bool | info (Sint32 iMode=0) override
| Request Main Interface information.
void | printVersion ()
| Print version and build date to the default log.
const string & | getVersion ()
| Get version string.
const string & | getCopyright ()
| Get copyright string.
bool | requireVersion (Uint8 iMajor, Uint8 iMinor)
| Check if the GDK version is compatible with the given one.
bool | intro (Sint32 idScreen=0)
| Show the MegaStorm and CRM64Pro introduction.
Sint32 | update (SDL_Event *evUser=nullptr)
| Manage the GDK update cycle with a fixed virtual logic frame rate.
float | getLogicTime () const
| Get the current logic interpolation alpha.
float | getDeltaTime () const
| Get the last frame's high-precision delta time.
bool | getKeyState (SDL_Keycode keycode)
| Get the current state of a key.
const char * | getKeyName (SDL_Keycode keycode)
| Get a human-readable name for a key.
Sint32 | getKeyboardFocus () const
| Get the screen that has keyboard focus.
LogMgr & | ILogMgr ()
| Get reference to Log Manager.
ConfigMgr & | IConfigMgr ()
| Get reference to Config Manager.
ArchiveMgr & | IArchiveMgr ()
| Get reference to Archive Manager.
XMLMgr & | IXMLMgr ()
| Get reference to XML Manager.
Timer & | ITimer ()
| Get reference to Timer Interface.
Tool & | ITool ()
| Get reference to Tool Interface.
AudioTrackMgr & | IAudioTrackMgr ()
| Get reference to Audio Track Manager.
ImageMgr & | IImageMgr ()
| Get reference to Image Manager.
CursorMgr & | ICursorMgr ()
| Get reference to Cursor Manager.
TileMgr & | ITileMgr ()
| Get reference to Tile Manager.
SpriteMgr & | ISpriteMgr ()
| Get reference to Sprite Manager.
FontMgr & | IFontMgr ()
| Get reference to Font Manager.
GFX & | IGFX ()
| Get reference to GFX Interface.
Physics & | IPhysics ()
| Get reference to Physics Interface.
GUIMgr & | IGUIMgr ()
| Get reference to GUI Manager.
SceneMgr & | ISceneMgr ()
| Get reference to Scene Manager.
NetTCP & | INetTCP ()
| Get reference to NetTCP Interface.

## Static Public Member Functions
static Main & | Instance ()
| Access the Main singleton.
static void | Terminate ()
| Main explicit destructor.
static bool | isInit ()
| Check if the GDK is initialized.